# SwitchCSSTransitionGroup

Combination of `ReactCSSTransitionGroup` and `Switch` applying appropriate **key property** to the switch so you don't have to manage when to rigger the transition.

## Install

```
npm i --save SwitchCSSTransitionGroup
```

## Usage

```
import SwitchCSSTransitionGroup from 'SwitchCSSTransitionGroup'

// your code

<SwitchCSSTransitionGroup
    location={this.props.location}
    transitionName='example'
    transitionLeaveTimeout={300}
    transitionEnterTimeout={500}>
  <Route path='/' exact component={Home} />
  <Route path='/about' component={About} />
</SwitchCSSTransitionGroup>
```

Similar like if you are using `ReactCSSTransitionGroup` and `Switch` there are available properties:
 - `location` - your history.location object from `react-router`
 - `transition*` - params from [ReactCSSTransitionGroup](https://facebook.github.io/react/docs/animation.html)
